<template>
<v-container grid-list-xl>
    <v-layout column justify-center align-center>
        <v-flex>
            <h1 class="Title">Edit Movie</h1>
        </v-flex>
    </v-layout>
    <v-layout column justify-center align-center>
        <v-flex>
            <h2> Title :</h2>  <input class="form-add " type="text" v-model="movie_to_edit.title" /><br/>
            <h2>Year :</h2> <input class="form-add " type="text" v-model="movie_to_edit.year" /><br/>
            <h2>Synopsys :</h2> <textarea class="form-add" v-model="movie_to_edit.synopsys"></textarea><br/>
            <h2>Image URL : </h2> <input class="form-add input" type="text" v-model="movie_to_edit.img" /> 
            <h2>Type : </h2> <input class="form-add input" type="text" v-model="movie_to_edit.type" /> 
            <h2> Realisator First Name :</h2>  <input class="form-add " type="text" v-model="movie_to_edit.realisator.firstname" /><br/>
            <h2> Realisator Last Name :</h2>  <input class="form-add " type="text" v-model="movie_to_edit.realisator.lastname" /><br/>
            <h2> Realisator Birth Date :</h2>  <input class="form-add " type="text" v-model="movie_to_edit.realisator.birthdate" /><br/>
        </v-flex>
    </v-layout>
    <v-layout row justify-center align-center>
        <button class="v-btn btn" v-on:click="save()">Save</button> 
        <button class="v-btn btn" v-on:click="retour">Home</button> 
    </v-layout>
</v-container>
</template>
<script>
import { db } from '../firebase';
export default {
    data(){
        return{
            movie_to_edit:{},
        }
    },   
    methods:
    {
        getMovie:async function(){
            const id = this.$route.params.movie
            const ref = await db.collection("movies").doc(id);
            ref.get().then((doc) => {
                console.log(doc.data());
                this.movie_to_edit = doc.data();
            })
        },
        save: async function(index){
            const id = this.$route.params.movie
            const ref = await db.collection("movies").doc(id);
            ref.set(this.movie_to_edit);
            return this.$router.push({name :'home'})
        },
        retour:function(){
            return this.$router.push({name:'home'})
        }
    },

    created: function(){
        this.getMovie();
    }
        
}
</script>